package info.bukova.isspst.ui.renderers;

import info.bukova.isspst.data.JobMapping;
import info.bukova.isspst.data.User;
import org.zkoss.zul.Listbox;
import org.zkoss.zul.Listitem;

/**
 * @author Pepa Rokos
 */
public class JobMappingItemRenderer extends GenericListitemRenderer<JobMapping> {


	@Override
	protected void changeProperties(Listbox lb, Listitem li, int index, String varnm) {
		JobMapping jm = getObjectOfStates();

		if (jm.getMember() instanceof User && !((User)jm.getMember()).isEnabled()) {
			li.setSclass("user-disabled");
		}
	}
}
